org.eclipse.actf.model.dom.odf.draw

## Interface OpacityElement

All Superinterfaces:
  Element, Node, ODFElement

    public interface OpacityElement
    extends ODFElement

Interface for <draw:opacity> element.

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

Methods
`int` `getAttrDrawAngle()` Return draw:angle attribute
`String` `getAttrDrawBorder()` Return draw:border attribute
`String` `getAttrDrawDisplayName()` Return draw:display-name attribute
`String` `getAttrDrawEnd()` Return draw:end attribute
`String` `getAttrDrawName()` Return draw:name attribute
`String` `getAttrDrawStart()` Return draw:start attribute
`String` `getAttrDrawStyle()` Return draw:style attribute

### Methods inherited from interface org.w3c.dom.Element

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Method Detail

#### getAttrDrawName

    String getAttrDrawName()

Return draw:name attribute

Returns:
  String

#### getAttrDrawDisplayName

    String getAttrDrawDisplayName()

Return draw:display-name attribute

Returns:
  String

#### getAttrDrawStyle

    String getAttrDrawStyle()

Return draw:style attribute

Returns:
  String

#### getAttrDrawStart

    String getAttrDrawStart()

Return draw:start attribute

Returns:
  String

#### getAttrDrawEnd

    String getAttrDrawEnd()

Return draw:end attribute

Returns:
  String

#### getAttrDrawAngle

    int getAttrDrawAngle()

Return draw:angle attribute

Returns:
  int

#### getAttrDrawBorder

    String getAttrDrawBorder()

Return draw:border attribute

Returns:
  String